import { cn } from "@/lib/utils";

import AnimatedGridPattern from "@/components/ui/animated-grid-pattern";

import FormStepper from "./_components/form-stepper";
import Title from "./_components/title";

export default function CreateAgentPage() {
  return (
    <section className="relative flex min-h-[calc(100vh-64px)] w-full py-4 items-center justify-center overflow-hidden rounded-lg border bg-background">
      <div className="layout flex flex-col h-full justify-center items-center gap-8">
        <Title />
        <FormStepper />
      </div>
      <AnimatedGridPattern
        numSquares={30}
        maxOpacity={0.1}
        duration={3}
        repeatDelay={1}
        className={cn(
          "[mask-image:radial-gradient(500px_circle_at_center,white,transparent)]",
          "inset-x-0 inset-y-[-30%] h-[200%] skew-y-12"
        )}
      />
    </section>
  );
}
